Package org.apache.tomcat.jdbc.pool.interceptor

# Class SlowQueryReport.QueryStatsComparator

java.lang.Object
org.apache.tomcat.jdbc.pool.interceptor.SlowQueryReport.QueryStatsComparator

All Implemented Interfaces:
  `Comparator<SlowQueryReport.QueryStats>`

Enclosing class:
  `SlowQueryReport`

public static class SlowQueryReport.QueryStatsComparator extends Object implements Comparator<SlowQueryReport.QueryStats>
Compare QueryStats by their lastInvocation value. QueryStats that have never been updated, have a lastInvocation value of `0` which should be handled as the newest possible invocation.

## Constructor Summary

Constructors
Constructor
Description
`QueryStatsComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(SlowQueryReport.QueryStats stats1, SlowQueryReport.QueryStats stats2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### QueryStatsComparator

public QueryStatsComparator()

## Method Details

### compare

public int compare(SlowQueryReport.QueryStats stats1, SlowQueryReport.QueryStats stats2)

Specified by:
  `compare` in interface `Comparator<SlowQueryReport.QueryStats>`